[Mondrian] JDK build change breaks SNAPSHOT build

Luc Boudreau lucboudreau at gmail.com
Thu Mar 1 11:30:03 EST 2012


I've fixed the CI job. It will now compile against all JDKs.

Sorry about the disruption.

Luc

On Thu, Mar 1, 2012 at 10:01 AM, Paul Stoellberger
<p.stoellberger at gmail.com> wrote:
> Hi Julian,
> while most developers probably will only build for their JDK, I need the mondrian 3.4.0-SNAPSHOT to include all versions of the drivers..
> Your latest build broke olap4j for me, because of the missing driver:
> Caused by: java.lang.RuntimeException: java.lang.ClassNotFoundException: mondrian.olap4j.FactoryJdbc4Impl
>
> I'm using JDK 1.6 btw
>
> I would prefer that all versions are included again by default.
> At least in the SNAPSHOT build!
>
> Would be great if you could change that again as soon as possible, as I sorta depend on mondrian.....
>
> Thanks
>
> -Paul
>
> _______________________________________________
> Mondrian mailing list
> Mondrian at pentaho.org
> http://lists.pentaho.org/mailman/listinfo/mondrian


More information about the Mondrian mailing list